Gentoo Archives: gentoo-commits

From: "NP Hardass (np-hardass)" <np-hardass@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in app-emulation/wine: wine-1.7.46.ebuild ChangeLog
Date: Tue, 30 Jun 2015 02:59:28
Message-Id: 20150630025917.ED1B4739@oystercatcher.gentoo.org
1 np-hardass 15/06/30 02:59:17
2
3 Modified: ChangeLog
4 Added: wine-1.7.46.ebuild
5 Log:
6 Version bump. See https://www.winehq.org/announce/1.7.46 for the announcement.
7
8 (Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key 18F89C67)
9
10 Revision Changes Path
11 1.542 app-emulation/wine/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/wine/ChangeLog?rev=1.542&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/wine/ChangeLog?rev=1.542&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/wine/ChangeLog?r1=1.541&r2=1.542
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/app-emulation/wine/ChangeLog,v
20 retrieving revision 1.541
21 retrieving revision 1.542
22 diff -u -r1.541 -r1.542
23 --- ChangeLog 18 Jun 2015 06:06:00 -0000 1.541
24 +++ ChangeLog 30 Jun 2015 02:59:17 -0000 1.542
25 @@ -1,6 +1,12 @@
26 # ChangeLog for app-emulation/wine
27 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/ChangeLog,v 1.541 2015/06/18 06:06:00 np-hardass Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/ChangeLog,v 1.542 2015/06/30 02:59:17 np-hardass Exp $
30 +
31 +*wine-1.7.46 (30 Jun 2015)
32 +
33 + 30 Jun 2015; NP-Hardass <NP-Hardass@g.o> +wine-1.7.46.ebuild:
34 + Version bump. See https://www.winehq.org/announce/1.7.46 for the
35 + announcement.
36
37 *wine-1.7.45 (18 Jun 2015)
38
39
40
41
42 1.1 app-emulation/wine/wine-1.7.46.ebuild
43
44 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/wine/wine-1.7.46.ebuild?rev=1.1&view=markup
45 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/wine/wine-1.7.46.ebuild?rev=1.1&content-type=text/plain
46
47 Index: wine-1.7.46.ebuild
48 ===================================================================
49 # Copyright 1999-2015 Gentoo Foundation
50 # Distributed under the terms of the GNU General Public License v2
51 # $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-1.7.46.ebuild,v 1.1 2015/06/30 02:59:17 np-hardass Exp $
52
53 EAPI="5"
54
55 AUTOTOOLS_AUTORECONF=1
56 PLOCALES="ar bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru sk sl sr_RS@cyrillic sr_RS@latin sv te th tr uk wa zh_CN zh_TW"
57 PLOCALE_BACKUP="en"
58
59 inherit autotools-utils eutils fdo-mime flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx
60
61 if [[ ${PV} == "9999" ]] ; then
62 EGIT_REPO_URI="git://source.winehq.org/git/wine.git http://source.winehq.org/git/wine.git"
63 EGIT_BRANCH="master"
64 inherit git-r3
65 SRC_URI=""
66 #KEYWORDS=""
67 else
68 MY_P="${PN}-${PV/_/-}"
69 SRC_URI="mirror://sourceforge/${PN}/Source/${MY_P}.tar.bz2"
70 KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
71 S=${WORKDIR}/${MY_P}
72 fi
73
74 GV="2.36"
75 MV="4.5.6"
76 STAGING_P="wine-staging-${PV}"
77 STAGING_DIR="${WORKDIR}/${STAGING_P}"
78 WINE_GENTOO="wine-gentoo-2015.03.07"
79 GST_P="wine-1.7.34-gstreamer-v5"
80 DESCRIPTION="Free implementation of Windows(tm) on Unix"
81 HOMEPAGE="http://www.winehq.org/"
82 SRC_URI="${SRC_URI}
83 gecko? (
84 abi_x86_32? ( mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86.msi )
85 abi_x86_64? ( mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86_64.msi )
86 )
87 mono? ( mirror://sourceforge/${PN}/Wine%20Mono/${MV}/wine-mono-${MV}.msi )
88 gstreamer? ( http://dev.gentoo.org/~tetromino/distfiles/${PN}/${GST_P}.patch.bz2 )
89 http://dev.gentoo.org/~tetromino/distfiles/${PN}/${WINE_GENTOO}.tar.bz2"
90
91 if [[ ${PV} == "9999" ]] ; then
92 STAGING_EGIT_REPO_URI="git://github.com/wine-compholio/wine-staging.git"
93 else
94 SRC_URI="${SRC_URI}
95 staging? ( https://github.com/wine-compholio/wine-staging/archive/v${PV}.tar.gz -> ${STAGING_P}.tar.gz )
96 pulseaudio? ( https://github.com/wine-compholio/wine-staging/archive/v${PV}.tar.gz -> ${STAGING_P}.tar.gz )"
97 fi
98
99 LICENSE="LGPL-2.1"
100 SLOT="0"
101 IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg +lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png +prelink pulseaudio +realtime +run-exes s3tc samba scanner selinux +ssl staging test +threads +truetype +udisks v4l vaapi +X +xcomposite xinerama +xml"
102 REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
103 test? ( abi_x86_32 )
104 elibc_glibc? ( threads )
105 mono? ( abi_x86_32 )
106 pipelight? ( staging )
107 s3tc? ( staging )
108 vaapi? ( staging )
109 osmesa? ( opengl )" #286560
110
111 # FIXME: the test suite is unsuitable for us; many tests require net access
112 # or fail due to Xvfb's opengl limitations.
113 RESTRICT="test"
114
115 COMMON_DEPEND="
116 truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
117 capi? ( net-dialup/capi4k-utils )
118 ncurses? ( >=sys-libs/ncurses-5.2:=[${MULTILIB_USEDEP}] )
119 udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
120 fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
121 gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
122 openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
123 gstreamer? (
124 media-libs/gstreamer:0.10[${MULTILIB_USEDEP}]
125 media-libs/gst-plugins-base:0.10[${MULTILIB_USEDEP}]
126 )
127 X? (
128 x11-libs/libXcursor[${MULTILIB_USEDEP}]
129 x11-libs/libXext[${MULTILIB_USEDEP}]
130 x11-libs/libXrandr[${MULTILIB_USEDEP}]
131 x11-libs/libXi[${MULTILIB_USEDEP}]
132 x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
133 )
134 xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
135 alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
136 cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
137 opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
138 opengl? (
139 virtual/glu[${MULTILIB_USEDEP}]
140 virtual/opengl[${MULTILIB_USEDEP}]
141 )
142 gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
143 jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
144 ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
145 lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
146 mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
147 netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
148 nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
149 odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
150 osmesa? ( media-libs/mesa[osmesa,${MULTILIB_USEDEP}] )
151 pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
152 pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
153 staging? ( sys-apps/attr[${MULTILIB_USEDEP}] )
154 xml? (
155 dev-libs/libxml2[${MULTILIB_USEDEP}]
156 dev-libs/libxslt[${MULTILIB_USEDEP}]
157 )
158 scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
159 ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
160 png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
161 v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
162 vaapi? ( x11-libs/libva[X,${MULTILIB_USEDEP}] )
163 xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
164 abi_x86_32? (
165 !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
166 !<app-emulation/emul-linux-x86-baselibs-20140508-r14
167 !app-emulation/emul-linux-x86-db[-abi_x86_32(-)]
168 !<app-emulation/emul-linux-x86-db-20140508-r3
169 !app-emulation/emul-linux-x86-medialibs[-abi_x86_32(-)]
170 !<app-emulation/emul-linux-x86-medialibs-20140508-r6
171 !app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)]
172 !<app-emulation/emul-linux-x86-opengl-20140508-r1
173 !app-emulation/emul-linux-x86-sdl[-abi_x86_32(-)]
174 !<app-emulation/emul-linux-x86-sdl-20140508-r1
175 !app-emulation/emul-linux-x86-soundlibs[-abi_x86_32(-)]
176 !<app-emulation/emul-linux-x86-soundlibs-20140508
177 !app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
178 !<app-emulation/emul-linux-x86-xlibs-20140508
179 )"
180
181 RDEPEND="${COMMON_DEPEND}
182 dos? ( games-emulation/dosbox )
183 perl? ( dev-lang/perl dev-perl/XML-Simple )
184 s3tc? ( >=media-libs/libtxc_dxtn-1.0.1-r1[${MULTILIB_USEDEP}] )
185 samba? ( >=net-fs/samba-3.0.25 )
186 selinux? ( sec-policy/selinux-wine )
187 udisks? ( sys-fs/udisks:2 )
188 pulseaudio? ( realtime? ( sys-auth/rtkit ) )"
189
190 # tools/make_requests requires perl
191 DEPEND="${COMMON_DEPEND}
192 staging? ( dev-lang/perl dev-perl/XML-Simple )
193 X? (
194 x11-proto/inputproto
195 x11-proto/xextproto
196 x11-proto/xf86vidmodeproto
197 )
198 xinerama? ( x11-proto/xineramaproto )
199 prelink? ( sys-devel/prelink )
200 >=sys-kernel/linux-headers-2.6
201 virtual/pkgconfig
202 virtual/yacc
203 sys-devel/flex"
204
205 # These use a non-standard "Wine" category, which is provided by
206 # /etc/xdg/applications-merged/wine.menu
207 QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
208 usr/share/applications/wine-notepad.desktop
209 usr/share/applications/wine-uninstaller.desktop
210 usr/share/applications/wine-winecfg.desktop"
211
212 wine_build_environment_check() {
213 [[ ${MERGE_TYPE} = "binary" ]] && return 0
214
215 # bug #549768
216 if [[ $(gcc-major-version) = 5 ]]; then
217 eerror "You need gcc-4.x to build wine; see https://bugs.gentoo.org/549768"
218 eerror
219 return 1
220 fi
221
222 if use abi_x86_64 && [[ $(( $(gcc-major-version) * 100 + $(gcc-minor-version) )) -lt 404 ]]; then
223 eerror "You need gcc-4.4+ to build 64-bit wine"
224 eerror
225 return 1
226 fi
227
228 if use abi_x86_32 && use opencl && [[ x$(eselect opencl show 2> /dev/null) = "xintel" ]]; then
229 eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
230 eerror "See https://bugs.gentoo.org/487864 for more details."
231 eerror
232 return 1
233 fi
234 }
235
236 pkg_pretend() {
237 wine_build_environment_check || die
238 }
239
240 pkg_setup() {
241 wine_build_environment_check || die
242 }
243
244 src_unpack() {
245 if [[ ${PV} == "9999" ]] ; then
246 git-r3_src_unpack
247 if use staging || use pulseaudio; then
248 EGIT_REPO_URI=${STAGING_EGIT_REPO_URI}
249 unset ${PN}_LIVE_REPO;
250 EGIT_CHECKOUT_DIR=${STAGING_DIR} git-r3_src_unpack
251 fi
252 else
253 unpack ${MY_P}.tar.bz2
254 use staging || use pulseaudio && unpack "${STAGING_P}.tar.gz"
255 fi
256
257 unpack "${WINE_GENTOO}.tar.bz2"
258 use gstreamer && unpack "${GST_P}.patch.bz2"
259
260 l10n_find_plocales_changes "${S}/po" "" ".po"
261 }
262
263 src_prepare() {
264 local md5="$(md5sum server/protocol.def)"
265 local PATCHES=(
266 "${FILESDIR}"/${PN}-1.5.26-winegcc.patch #260726
267 "${FILESDIR}"/${PN}-1.4_rc2-multilib-portage.patch #395615
268 "${FILESDIR}"/${PN}-1.7.12-osmesa-check.patch #429386
269 "${FILESDIR}"/${PN}-1.6-memset-O3.patch #480508
270 )
271 if use gstreamer; then
272 # See http://bugs.winehq.org/show_bug.cgi?id=30557
273 ewarn "Applying experimental patch to fix GStreamer support. Note that"
274 ewarn "this patch has been reported to cause crashes in certain games."
275
276 # Wine-Staging 1.7.38 "ntdll: Fix race-condition when threads are killed
277 # during shutdown" patch and "Added patch to implement shared memory
278 # wineserver communication for various user32 functions" prevents the
279 # gstreamer patch from applying cleanly.
280 # So undo the staging patch, apply gstreamer, then re-apply rebased staging
281 # patch on top.
282 if use staging; then
283 PATCHES+=(
284 "${FILESDIR}/${PN}-1.7.39-gstreamer-v5-staging-pre.patch"
285 "${WORKDIR}/${GST_P}.patch"
286 "${FILESDIR}/${PN}-1.7.39-gstreamer-v5-staging-post.patch" )
287 else
288 PATCHES+=( "${WORKDIR}/${GST_P}.patch" )
289 fi
290 fi
291 if use staging; then
292 ewarn "Applying the unofficial Wine-Staging patchset which is unsupported"
293 ewarn "by Wine developers. Please don't report bugs to Wine bugzilla"
294 ewarn "unless you can reproduce them with USE=-staging"
295
296 local STAGING_EXCLUDE=""
297 use pipelight || STAGING_EXCLUDE="${STAGING_EXCLUDE} -W Pipelight"
298
299 # Launch wine-staging patcher in a subshell, using epatch as a backend, and gitapply.sh as a backend for binary patches
300 ebegin "Running Wine-Staging patch installer"
301 (
302 set -- DESTDIR="${S}" --backend=epatch --no-autoconf --all ${STAGING_EXCLUDE}
303 cd "${STAGING_DIR}/patches"
304 source "${STAGING_DIR}/patches/patchinstall.sh"
305 )
306 eend $?
307 elif use pulseaudio; then
308 PATCHES+=( "${STAGING_DIR}/patches/winepulse-PulseAudio_Support"/*.patch )
309 fi
310 autotools-utils_src_prepare
311
312 # Modification of the server protocol requires regenerating the server requests
313 if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
314 einfo "server/protocol.def was patched; running tools/make_requests"
315 tools/make_requests || die #432348
316 fi
317 sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
318 if ! use run-exes; then
319 sed -i '/^MimeType/d' tools/wine.desktop || die #117785
320 fi
321
322 # hi-res default icon, #472990, http://bugs.winehq.org/show_bug.cgi?id=24652
323 cp "${WORKDIR}"/${WINE_GENTOO}/icons/oic_winlogo.ico dlls/user32/resources/ || die
324
325 l10n_get_locales > po/LINGUAS # otherwise wine doesn't respect LINGUAS
326 }
327
328 src_configure() {
329 export LDCONFIG=/bin/true
330 use custom-cflags || strip-flags
331
332 multilib-minimal_src_configure
333 }
334
335 multilib_src_configure() {
336 local myconf=(
337 --sysconfdir=/etc/wine
338 $(use_with alsa)
339 $(use_with capi)
340 $(use_with lcms cms)
341 $(use_with cups)
342 $(use_with ncurses curses)
343 $(use_with udisks dbus)
344 $(use_with fontconfig)
345 $(use_with ssl gnutls)
346 $(use_enable gecko mshtml)
347 $(use_with gphoto2 gphoto)
348 $(use_with gsm)
349 $(use_with gstreamer)
350 --without-hal
351 $(use_with jpeg)
352 $(use_with ldap)
353 $(use_enable mono mscoree)
354 $(use_with mp3 mpg123)
355 $(use_with netapi)
356 $(use_with nls gettext)
357 $(use_with openal)
358 $(use_with opencl)
359 $(use_with opengl)
360 $(use_with osmesa)
361 $(use_with oss)
362 $(use_with pcap)
363 $(use_with png)
364 $(use_with threads pthread)
365 $(use_with scanner sane)
366 $(use_enable test tests)
367 $(use_with truetype freetype)
368 $(use_with v4l)
369 $(use_with X x)
370 $(use_with xcomposite)
371 $(use_with xinerama)
372 $(use_with xml)
373 $(use_with xml xslt)
374 )
375
376 if use pulseaudio || use staging; then
377 myconf+=( $(use_with pulseaudio pulse) )
378 fi
379 use staging && myconf+=(
380 --with-xattr
381 $(use_with vaapi va)
382 )
383
384 local PKG_CONFIG AR RANLIB
385 # Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038
386 # set AR and RANLIB to make QA scripts happy; #483342
387 tc-export PKG_CONFIG AR RANLIB
388
389 if use amd64; then
390 if [[ ${ABI} == amd64 ]]; then
391 myconf+=( --enable-win64 )
392 else
393 myconf+=( --disable-win64 )
394 fi
395
396 # Note: using --with-wine64 results in problems with multilib.eclass
397 # CC/LD hackery. We're using separate tools instead.
398 fi
399
400 ECONF_SOURCE=${S} \
401 econf "${myconf[@]}"
402 emake depend
403 }
404
405 multilib_src_test() {
406 # FIXME: win32-only; wine64 tests fail with "could not find the Wine loader"
407 if [[ ${ABI} == x86 ]]; then
408 if [[ $(id -u) == 0 ]]; then
409 ewarn "Skipping tests since they cannot be run under the root user."
410 ewarn "To run the test ${PN} suite, add userpriv to FEATURES in make.conf"
411 return
412 fi
413
414 WINEPREFIX="${T}/.wine-${ABI}" \
415 Xemake test
416 fi
417 }
418
419 multilib_src_install_all() {
420 local DOCS=( ANNOUNCE AUTHORS README )
421 local l
422 add_locale_docs() {
423 local locale_doc="documentation/README.$1"
424 [[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
425 }
426 l10n_for_each_locale_do add_locale_docs
427
428 einstalldocs
429 prune_libtool_files --all
430
431 emake -C "../${WINE_GENTOO}" install DESTDIR="${D}" EPREFIX="${EPREFIX}"
432 if use gecko ; then
433 insinto /usr/share/wine/gecko
434 use abi_x86_32 && doins "${DISTDIR}"/wine_gecko-${GV}-x86.msi
435 use abi_x86_64 && doins "${DISTDIR}"/wine_gecko-${GV}-x86_64.msi
436 fi
437 if use mono ; then
438 insinto /usr/share/wine/mono
439 doins "${DISTDIR}"/wine-mono-${MV}.msi
440 fi
441 if ! use perl ; then # winedump calls function_grep.pl, and winemaker is a perl script
442 rm "${D}"usr/bin/{wine{dump,maker},function_grep.pl} "${D}"usr/share/man/man1/wine{dump,maker}.1 || die
443 fi
444
445 use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
446 use abi_x86_64 && pax-mark psmr "${D}"usr/bin/wine64{,-preloader}
447
448 if use abi_x86_64 && ! use abi_x86_32; then
449 dosym /usr/bin/wine{64,} # 404331
450 dosym /usr/bin/wine{64,}-preloader
451 fi
452
453 # respect LINGUAS when installing man pages, #469418
454 for l in de fr pl; do
455 use linguas_${l} || rm -r "${D}"usr/share/man/${l}*
456 done
457 }
458
459 pkg_preinst() {
460 gnome2_icon_savelist
461 }
462
463 pkg_postinst() {
464 gnome2_icon_cache_update
465 fdo-mime_desktop_database_update
466
467 if ! use gecko; then
468 ewarn "Without Wine Gecko, wine prefixes will not have a default"
469 ewarn "implementation of iexplore. Many older windows applications"
470 ewarn "rely upon the existence of an iexplore implementation, so"
471 ewarn "you will likely need to install an external one, like via winetricks"
472 fi
473 if ! use mono; then
474 ewarn "Without Wine Mono, wine prefixes will not have a default"
475 ewarn "implementation of .NET. Many windows applications rely upon"
476 ewarn "the existence of a .NET implementation, so you will likely need"
477 ewarn "to install an external one, like via winetricks"
478 fi
479 }
480
481 pkg_postrm() {
482 gnome2_icon_cache_update
483 fdo-mime_desktop_database_update
484 }